s6
Software
skarnet.org

# The `s6-fdholder-list` program

`s6-fdholder-list` lists the descriptors currently held by a fd-holding daemon.

## Interface

         s6-fdholder-list [ -t timeout ] path

- `s6-fdholder-list` connects to a s6-fdholderd server process listening on path.
- It gets the list of identifiers corresponding to the currently held file descriptors. It prints this list to stdout, one per line.

## Options

- `-t timeout` : if the operation cannot be processed in timeout milliseconds, then fail with an error message. Communications with the server should be near-instant, so this option is only here to protect users against programming errors (connecting to the wrong socket, for instance).

## Exit codes

- 0: success.
- 1: the server denied the operation. The meaning of the error messages is explained here.
- 100: wrong usage.
- 111: system call failed - this includes attempting to connect to a nonexistent socket, or one where no s6-fdholderd daemon is listening.